summaryrefslogtreecommitdiff
path: root/app-shells/pokemon-colorscripts
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /app-shells/pokemon-colorscripts
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'app-shells/pokemon-colorscripts')
-rw-r--r--app-shells/pokemon-colorscripts/metadata.xml11
-rw-r--r--app-shells/pokemon-colorscripts/pokemon-colorscripts-9999.ebuild37
2 files changed, 48 insertions, 0 deletions
diff --git a/app-shells/pokemon-colorscripts/metadata.xml b/app-shells/pokemon-colorscripts/metadata.xml
new file mode 100644
index 000000000000..9572599a1617
--- /dev/null
+++ b/app-shells/pokemon-colorscripts/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>patrick.joseph.taylor@gmail.com</email>
+ <name>Patrick J Taylor</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="gitlab">phoneybadger/pokemon-colorscripts</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-shells/pokemon-colorscripts/pokemon-colorscripts-9999.ebuild b/app-shells/pokemon-colorscripts/pokemon-colorscripts-9999.ebuild
new file mode 100644
index 000000000000..35fe324cc1e1
--- /dev/null
+++ b/app-shells/pokemon-colorscripts/pokemon-colorscripts-9999.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit git-r3 python-single-r1
+
+DESCRIPTION="Pokemon unicode sprites for your terminal!"
+HOMEPAGE="https://gitlab.com/phoneybadger/pokemon-colorscripts"
+EGIT_REPO_URI="https://gitlab.com/phoneybadger/pokemon-colorscripts.git"
+
+LICENSE="MIT"
+SLOT="0"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}"
+
+src_prepare() {
+ default
+ sed -i \
+ 's#PROGRAM_DIR = os.path.dirname(PROGRAM)#PROGRAM_DIR = "/opt/pokemon-colorscripts/"#g' \
+ pokemon-colorscripts.py || die "sed failed."
+}
+
+src_install() {
+ insinto /opt/pokemon-colorscripts
+ doins -r "${S}/colorscripts"
+ doins "${S}/pokemon.json"
+
+ python_scriptinto /opt/pokemon-colorscripts
+ python_doscript "${S}/pokemon-colorscripts.py"
+
+ dosym -r /opt/pokemon-colorscripts/pokemon-colorscripts.py /usr/bin/pokemon-colorscripts
+}